var sateLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'sate',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var sateLabelLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'satelabel',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var mapLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'map',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var mapLabelLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'maplabel',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var darkLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'darkmap',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var zqMapLayer = new CTileLayer({
  zbound: [1, 18],
  tileName: 'zqmap',
  zIndex: null,
  subdomains: CGeowin.BaseMapServer
})

var BASEMAP = new CMapType([mapLayer], '矢量')
var VECTORMAP = new CMapType([mapLayer, mapLabelLayer], '矢量')
var SATEMAP = new CMapType([sateLayer, sateLabelLayer], '影像')
var YingXiangMAP = new CMapType([sateLayer], '影像')
var DARKMAP = new CMapType([darkLayer], '地图')

var ZQMAP = new CMapType([zqMapLayer], '地图')


var tianditusateLayer = new CTileLayer({
  zbound: [2, 18],
  tileName: 'sate',
  subdomains: ['0', '1', '2', '3', '4', '5', '6', '7'],
  url: 'http://t{s}.tianditu.com/DataServer?T=img_w&x={x}&y={y}&l={z}&tk=80310778300778a15b36e70a6da5af00'
})

var tianditusateLabelLayer = new CTileLayer({
  zbound: [2, 18],
  tileName: 'satelabel',
  subdomains: ['0', '1', '2', '3', '4', '5', '6', '7'],
  url: 'http://t{s}.tianditu.com/DataServer?T=cia_w&x={x}&y={y}&l={z}&tk=80310778300778a15b36e70a6da5af00'
})

var tianditumapLayer = new CTileLayer({
  zbound: [2, 18],
  tileName: 'map',
  subdomains: ['0', '1', '2', '3', '4', '5', '6', '7'],
  url: 'http://t{s}.tianditu.com/DataServer?T=vec_w&x={x}&y={y}&l={z}&tk=80310778300778a15b36e70a6da5af00'
})

var tianditumapLabelLayer = new CTileLayer({
  zbound: [2, 18],
  tileName: 'maplabel',
  subdomains: ['0', '1', '2', '3', '4', '5', '6', '7'],
  url: 'http://t{s}.tianditu.com/DataServer?T=cva_w&x={x}&y={y}&l={z}&tk=80310778300778a15b36e70a6da5af00'
})

var TianDiTuBASEMAP = new CMapType([tianditumapLayer], '矢量')
var TianDiTuVECTORMAP = new CMapType([tianditumapLayer, tianditumapLabelLayer], '矢量')
var TianDiTuSATEMAP = new CMapType([tianditusateLayer, tianditusateLabelLayer], '影像')

var VECTORMAP = new CMapType([tianditumapLayer, tianditumapLabelLayer], '矢量')
var SATEMAP = new CMapType([tianditusateLayer, tianditusateLabelLayer], '影像')

